Package com.datecs.fiscalprinter.SDK

# Enum FiscalDeviceV2.cmd255Name

java.lang.Object
java.lang.Enum<FiscalDeviceV2.cmd255Name>
com.datecs.fiscalprinter.SDK.FiscalDeviceV2.cmd255Name

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FiscalDeviceV2.cmd255Name>`, `java.lang.constant.Constable`

Enclosing class:
  FiscalDeviceV2

    public static enum FiscalDeviceV2.cmd255Name
    extends java.lang.Enum<FiscalDeviceV2.cmd255Name>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `APN` |
  `APN_Pass` |
  `APN_User` |
  `AutoPaperCutting` |
  `AutoPowerOff` |
  `BarCodeHeight` |
  `BarcodeName` |
  `BarcodePrint` |
  `BkLight_AutoOff` |
  `Bold_payments` |
  `BthAddress` |
  `BthDiscoverability` |
  `BthPairing` |
  `BthPinCode` |
  `BthVersion` |
  `ComPortBaudRate` |
  `ComPortProtocol` |
  `CondensedPrint` |
  `CurrClerk` |
  `CurrNameForeign` |
  `CurrNameLocal` |
  `DateLastSucceededSent` |
  `DecimalPoint` |
  `Dept_name` |
  `Dept_price` |
  `Dept_vat` |
  `DeregOnSever` |
  `DFR_needed` |
  `DHCPenable` |
  `DoveritelPrint` |
  `DsblKeyCancelReceipt` |
  `DsblKeyCloseReceipt` |
  `DsblKeyDateTime` |
  `DsblKeyDiagnostics` |
  `DsblKeyFmReports` |
  `DsblKeyJournal` |
  `DsblKeyXreport` |
  `DsblKeyZreport` |
  `DublReceipts` |
  `EcrAskForPassword` |
  `EcrAskForVoidPassword` |
  `EcrConnectedCashReport` |
  `EcrConnectedDeptReport` |
  `EcrConnectedGroupsReport` |
  `EcrConnectedOperReport` |
  `EcrConnectedPluSalesReport` |
  `EcrDoveriteli` |
  `EcrExtendedReceipt` |
  `EcrLogNumber` |
  `EcrNumberBarcode` |
  `EcrPluDailyClearing` |
  `EcrSafeOpening` |
  `EcrScaleBarMask` |
  `EcrUserPeriodReports` |
  `EcrWithoutPasswords` |
  `EJNewJurnal` |
  `EJNumber` |
  `EmptyLineAfterTotal` |
  `EnableNearPaperEnd` |
  `ExchangeRate` |
  `fDateTimeUserSet` |
  `Fiscalized` |
  `FMDeviceID` |
  `FMnumber` |
  `FmWriteDateTime` |
  `Footer` |
  `ForeignPrint` |
  `FpComBaudRate` |
  `Header` |
  `IDnumber` |
  `IMEI` |
  `IntUseReceipts` |
  `InvoiceRangeBeg` |
  `InvoiceRangeEnd` |
  `ItemGroups_name` |
  `LAN_Gateway` |
  `LAN_IP` |
  `LAN_NetMask` |
  `LAN_PriDNS` |
  `LAN_SecDNS` |
  `LanMAC` |
  `LANport_fpCommands` |
  `LastValiddate` |
  `LogoPrint` |
  `MainInterfaceType` |
  `ModemModel` |
  `NapRegistered` |
  `nBon` |
  `NextUpdateCheck` |
  `nFBon` |
  `nFBonDailyCount` |
  `nFMnumberChanges` |
  `nIDnumberChanges` |
  `nInvoice` |
  `nInvoiceDailyCount` |
  `nLastFiscalDoc` |
  `nReset` |
  `nTAXnumberChanges` |
  `nVatChanges` |
  `nZreport` |
  `OperName` |
  `OperPasw` |
  `PaperCuttingType` |
  `Payment_forbidden` |
  `PayName` |
  `PinpadComBaudRate` |
  `PinpadComPort` |
  `PinpadConnectionType` |
  `PinpadLoyaltyPayment` |
  `PinpadPaymentMenu` |
  `PinpadReceiptCopies` |
  `PinpadReceiptInfo` |
  `PinpadShortRec` |
  `PinpadType` |
  `PrintColumns` |
  `PrnQuality` |
  `RegModeOnIdle` |
  `ServiceDate` |
  `ServMessage` |
  `ServPasw` |
  `SimICCID` |
  `SimIMSI` |
  `SimPin` |
  `SimTelNumber` |
  `StornoUNP` |
  `TAXlabel` |
  `TAXnumber` |
  `Unit_name` |
  `UNP` |
  `valVat` |
  `VatPrintEnable` |
  `WorkBatteryIncluded` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FiscalDeviceV2.cmd255Name` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static FiscalDeviceV2.cmd255Name[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FpComBaudRate

    public static final FiscalDeviceV2.cmd255Name FpComBaudRate

  - ### AutoPaperCutting

    public static final FiscalDeviceV2.cmd255Name AutoPaperCutting

  - ### PaperCuttingType

    public static final FiscalDeviceV2.cmd255Name PaperCuttingType

  - ### BarCodeHeight

    public static final FiscalDeviceV2.cmd255Name BarCodeHeight

  - ### BarcodeName

    public static final FiscalDeviceV2.cmd255Name BarcodeName

  - ### BthDiscoverability

    public static final FiscalDeviceV2.cmd255Name BthDiscoverability

  - ### BthPairing

    public static final FiscalDeviceV2.cmd255Name BthPairing

  - ### BthPinCode

    public static final FiscalDeviceV2.cmd255Name BthPinCode

  - ### BthVersion

    public static final FiscalDeviceV2.cmd255Name BthVersion

  - ### BthAddress

    public static final FiscalDeviceV2.cmd255Name BthAddress

  - ### ComPortBaudRate

    public static final FiscalDeviceV2.cmd255Name ComPortBaudRate

  - ### ComPortProtocol

    public static final FiscalDeviceV2.cmd255Name ComPortProtocol

  - ### EcrLogNumber

    public static final FiscalDeviceV2.cmd255Name EcrLogNumber

  - ### EcrExtendedReceipt

    public static final FiscalDeviceV2.cmd255Name EcrExtendedReceipt

  - ### EcrDoveriteli

    public static final FiscalDeviceV2.cmd255Name EcrDoveriteli

  - ### EcrWithoutPasswords

    public static final FiscalDeviceV2.cmd255Name EcrWithoutPasswords

  - ### EcrAskForPassword

    public static final FiscalDeviceV2.cmd255Name EcrAskForPassword

  - ### EcrAskForVoidPassword

    public static final FiscalDeviceV2.cmd255Name EcrAskForVoidPassword

  - ### EcrConnectedOperReport

    public static final FiscalDeviceV2.cmd255Name EcrConnectedOperReport

  - ### EcrConnectedDeptReport

    public static final FiscalDeviceV2.cmd255Name EcrConnectedDeptReport

  - ### EcrConnectedPluSalesReport

    public static final FiscalDeviceV2.cmd255Name EcrConnectedPluSalesReport

  - ### EcrConnectedGroupsReport

    public static final FiscalDeviceV2.cmd255Name EcrConnectedGroupsReport

  - ### EcrConnectedCashReport

    public static final FiscalDeviceV2.cmd255Name EcrConnectedCashReport

  - ### EcrUserPeriodReports

    public static final FiscalDeviceV2.cmd255Name EcrUserPeriodReports

  - ### EcrPluDailyClearing

    public static final FiscalDeviceV2.cmd255Name EcrPluDailyClearing

  - ### EcrSafeOpening

    public static final FiscalDeviceV2.cmd255Name EcrSafeOpening

  - ### EcrScaleBarMask

    public static final FiscalDeviceV2.cmd255Name EcrScaleBarMask

  - ### EcrNumberBarcode

    public static final FiscalDeviceV2.cmd255Name EcrNumberBarcode

  - ### AutoPowerOff

    public static final FiscalDeviceV2.cmd255Name AutoPowerOff

  - ### BkLight_AutoOff

    public static final FiscalDeviceV2.cmd255Name BkLight_AutoOff

  - ### RegModeOnIdle

    public static final FiscalDeviceV2.cmd255Name RegModeOnIdle

  - ### WorkBatteryIncluded

    public static final FiscalDeviceV2.cmd255Name WorkBatteryIncluded

  - ### MainInterfaceType

    public static final FiscalDeviceV2.cmd255Name MainInterfaceType

  - ### CurrNameLocal

    public static final FiscalDeviceV2.cmd255Name CurrNameLocal

  - ### CurrNameForeign

    public static final FiscalDeviceV2.cmd255Name CurrNameForeign

  - ### ExchangeRate

    public static final FiscalDeviceV2.cmd255Name ExchangeRate

  - ### Header

    public static final FiscalDeviceV2.cmd255Name Header

  - ### Footer

    public static final FiscalDeviceV2.cmd255Name Footer

  - ### OperName

    public static final FiscalDeviceV2.cmd255Name OperName

  - ### OperPasw

    public static final FiscalDeviceV2.cmd255Name OperPasw

  - ### PayName

    public static final FiscalDeviceV2.cmd255Name PayName

  - ### Payment_forbidden

    public static final FiscalDeviceV2.cmd255Name Payment_forbidden

  - ### ServPasw

    public static final FiscalDeviceV2.cmd255Name ServPasw

  - ### ServMessage

    public static final FiscalDeviceV2.cmd255Name ServMessage

  - ### ServiceDate

    public static final FiscalDeviceV2.cmd255Name ServiceDate

  - ### PrnQuality

    public static final FiscalDeviceV2.cmd255Name PrnQuality

  - ### PrintColumns

    public static final FiscalDeviceV2.cmd255Name PrintColumns

  - ### DublReceipts

    public static final FiscalDeviceV2.cmd255Name DublReceipts

  - ### IntUseReceipts

    public static final FiscalDeviceV2.cmd255Name IntUseReceipts

  - ### BarcodePrint

    public static final FiscalDeviceV2.cmd255Name BarcodePrint

  - ### LogoPrint

    public static final FiscalDeviceV2.cmd255Name LogoPrint

  - ### DoveritelPrint

    public static final FiscalDeviceV2.cmd255Name DoveritelPrint

  - ### ForeignPrint

    public static final FiscalDeviceV2.cmd255Name ForeignPrint

  - ### VatPrintEnable

    public static final FiscalDeviceV2.cmd255Name VatPrintEnable

  - ### CondensedPrint

    public static final FiscalDeviceV2.cmd255Name CondensedPrint

  - ### EnableNearPaperEnd

    public static final FiscalDeviceV2.cmd255Name EnableNearPaperEnd

  - ### DsblKeyZreport

    public static final FiscalDeviceV2.cmd255Name DsblKeyZreport

  - ### DsblKeyXreport

    public static final FiscalDeviceV2.cmd255Name DsblKeyXreport

  - ### DsblKeyDiagnostics

    public static final FiscalDeviceV2.cmd255Name DsblKeyDiagnostics

  - ### DsblKeyFmReports

    public static final FiscalDeviceV2.cmd255Name DsblKeyFmReports

  - ### DsblKeyJournal

    public static final FiscalDeviceV2.cmd255Name DsblKeyJournal

  - ### DsblKeyDateTime

    public static final FiscalDeviceV2.cmd255Name DsblKeyDateTime

  - ### DsblKeyCloseReceipt

    public static final FiscalDeviceV2.cmd255Name DsblKeyCloseReceipt

  - ### DsblKeyCancelReceipt

    public static final FiscalDeviceV2.cmd255Name DsblKeyCancelReceipt

  - ### ModemModel

    public static final FiscalDeviceV2.cmd255Name ModemModel

  - ### SimPin

    public static final FiscalDeviceV2.cmd255Name SimPin

  - ### APN

    public static final FiscalDeviceV2.cmd255Name APN

  - ### APN_User

    public static final FiscalDeviceV2.cmd255Name APN_User

  - ### APN_Pass

    public static final FiscalDeviceV2.cmd255Name APN_Pass

  - ### SimICCID

    public static final FiscalDeviceV2.cmd255Name SimICCID

  - ### SimIMSI

    public static final FiscalDeviceV2.cmd255Name SimIMSI

  - ### SimTelNumber

    public static final FiscalDeviceV2.cmd255Name SimTelNumber

  - ### IMEI

    public static final FiscalDeviceV2.cmd255Name IMEI

  - ### LanMAC

    public static final FiscalDeviceV2.cmd255Name LanMAC

  - ### DHCPenable

    public static final FiscalDeviceV2.cmd255Name DHCPenable

  - ### LAN_IP

    public static final FiscalDeviceV2.cmd255Name LAN_IP

  - ### LAN_NetMask

    public static final FiscalDeviceV2.cmd255Name LAN_NetMask

  - ### LAN_Gateway

    public static final FiscalDeviceV2.cmd255Name LAN_Gateway

  - ### LAN_PriDNS

    public static final FiscalDeviceV2.cmd255Name LAN_PriDNS

  - ### LAN_SecDNS

    public static final FiscalDeviceV2.cmd255Name LAN_SecDNS

  - ### nZreport

    public static final FiscalDeviceV2.cmd255Name nZreport

  - ### nReset

    public static final FiscalDeviceV2.cmd255Name nReset

  - ### nVatChanges

    public static final FiscalDeviceV2.cmd255Name nVatChanges

  - ### nIDnumberChanges

    public static final FiscalDeviceV2.cmd255Name nIDnumberChanges

  - ### nFMnumberChanges

    public static final FiscalDeviceV2.cmd255Name nFMnumberChanges

  - ### nTAXnumberChanges

    public static final FiscalDeviceV2.cmd255Name nTAXnumberChanges

  - ### valVat

    public static final FiscalDeviceV2.cmd255Name valVat

  - ### FMDeviceID

    public static final FiscalDeviceV2.cmd255Name FMDeviceID

  - ### IDnumber

    public static final FiscalDeviceV2.cmd255Name IDnumber

  - ### FMnumber

    public static final FiscalDeviceV2.cmd255Name FMnumber

  - ### TAXnumber

    public static final FiscalDeviceV2.cmd255Name TAXnumber

  - ### FmWriteDateTime

    public static final FiscalDeviceV2.cmd255Name FmWriteDateTime

  - ### LastValiddate

    public static final FiscalDeviceV2.cmd255Name LastValiddate

  - ### TAXlabel

    public static final FiscalDeviceV2.cmd255Name TAXlabel

  - ### Fiscalized

    public static final FiscalDeviceV2.cmd255Name Fiscalized

  - ### DFR_needed

    public static final FiscalDeviceV2.cmd255Name DFR_needed

  - ### DecimalPoint

    public static final FiscalDeviceV2.cmd255Name DecimalPoint

  - ### nBon

    public static final FiscalDeviceV2.cmd255Name nBon

  - ### nFBon

    public static final FiscalDeviceV2.cmd255Name nFBon

  - ### nInvoice

    public static final FiscalDeviceV2.cmd255Name nInvoice

  - ### InvoiceRangeBeg

    public static final FiscalDeviceV2.cmd255Name InvoiceRangeBeg

  - ### InvoiceRangeEnd

    public static final FiscalDeviceV2.cmd255Name InvoiceRangeEnd

  - ### nFBonDailyCount

    public static final FiscalDeviceV2.cmd255Name nFBonDailyCount

  - ### nInvoiceDailyCount

    public static final FiscalDeviceV2.cmd255Name nInvoiceDailyCount

  - ### nLastFiscalDoc

    public static final FiscalDeviceV2.cmd255Name nLastFiscalDoc

  - ### CurrClerk

    public static final FiscalDeviceV2.cmd255Name CurrClerk

  - ### NextUpdateCheck

    public static final FiscalDeviceV2.cmd255Name NextUpdateCheck

  - ### EJNewJurnal

    public static final FiscalDeviceV2.cmd255Name EJNewJurnal

  - ### EJNumber

    public static final FiscalDeviceV2.cmd255Name EJNumber

  - ### fDateTimeUserSet

    public static final FiscalDeviceV2.cmd255Name fDateTimeUserSet

  - ### DateLastSucceededSent

    public static final FiscalDeviceV2.cmd255Name DateLastSucceededSent

  - ### NapRegistered

    public static final FiscalDeviceV2.cmd255Name NapRegistered

  - ### DeregOnSever

    public static final FiscalDeviceV2.cmd255Name DeregOnSever

  - ### ItemGroups_name

    public static final FiscalDeviceV2.cmd255Name ItemGroups_name

  - ### Dept_name

    public static final FiscalDeviceV2.cmd255Name Dept_name

  - ### Dept_price

    public static final FiscalDeviceV2.cmd255Name Dept_price

  - ### Unit_name

    public static final FiscalDeviceV2.cmd255Name Unit_name

  - ### EmptyLineAfterTotal

    public static final FiscalDeviceV2.cmd255Name EmptyLineAfterTotal

  - ### Bold_payments

    public static final FiscalDeviceV2.cmd255Name Bold_payments

  - ### LANport_fpCommands

    public static final FiscalDeviceV2.cmd255Name LANport_fpCommands

  - ### Dept_vat

    public static final FiscalDeviceV2.cmd255Name Dept_vat

  - ### UNP

    public static final FiscalDeviceV2.cmd255Name UNP

  - ### StornoUNP

    public static final FiscalDeviceV2.cmd255Name StornoUNP

  - ### PinpadComPort

    public static final FiscalDeviceV2.cmd255Name PinpadComPort

  - ### PinpadComBaudRate

    public static final FiscalDeviceV2.cmd255Name PinpadComBaudRate

  - ### PinpadType

    public static final FiscalDeviceV2.cmd255Name PinpadType

  - ### PinpadConnectionType

    public static final FiscalDeviceV2.cmd255Name PinpadConnectionType

  - ### PinpadReceiptCopies

    public static final FiscalDeviceV2.cmd255Name PinpadReceiptCopies

  - ### PinpadReceiptInfo

    public static final FiscalDeviceV2.cmd255Name PinpadReceiptInfo

  - ### PinpadPaymentMenu

    public static final FiscalDeviceV2.cmd255Name PinpadPaymentMenu

  - ### PinpadLoyaltyPayment

    public static final FiscalDeviceV2.cmd255Name PinpadLoyaltyPayment

  - ### PinpadShortRec

    public static final FiscalDeviceV2.cmd255Name PinpadShortRec

- ## Method Details

  - ### values

    public static FiscalDeviceV2.cmd255Name[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FiscalDeviceV2.cmd255Name valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null